import request from '@/utils/request'

// 获取通知公告列表
export function getNoticeList(data){
	return request({
		'url': '/notice/list',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}

// 根据id获取公告详情
export function getNoticeDetail(id){
	return request({
		'url': '/notice/'+id,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

// 获取协会动态列表
export function getDynamicList(data){
	return request({
		'url': '/dynamic/list',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}

// 根据id获取动态详情 
export function getDynamicDetail(id){
	return request({
		'url': '/dynamic/'+id,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

// 获取办事指引列表
export function getGuideType(){
	return request({
		'url': '/guide/category',
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}

// 获取办事指引列表
export function getGuideList(data){
	return request({
		'url': '/guide/list',
		headers: {
			isToken: true
		},
		data: data,
		'method': 'post'
	})
}

// 根据id获取动态详情 
export function getGuideDetail(id){
	return request({
		'url': '/guide/'+id,
		headers: {
			isToken: true
		},
		'method': 'get'
	})
}